package com.cool.store.service;


import com.cool.store.request.PlatformBuildAuditRequest;
import com.cool.store.request.PlatformBuildRequest;
import com.cool.store.request.platformBuildListRequest;
import com.cool.store.response.PlatformBuildListResponse;
import com.cool.store.response.PlatformBuildResponse;
import com.cool.store.vo.PartnerUserInfoVO;
import com.cool.store.vo.PlatformBuildInfoVO;
import com.cool.store.vo.Preparation.PreparationScheduleDetailVO;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * @author EDY
 * @description 针对表【xfsg_platform_build(平台建店表)】的数据库操作Service
 * @createDate 2024-10-09 14:54:40
 */
public interface PlatformBuildService {

    String juridicalIdCard(Long shopId);

    Integer submitOrUpdate(PlatformBuildRequest request, PartnerUserInfoVO partnerUserInfoVO);

    PlatformBuildResponse get(Long shopId, Integer type);

    //第一层审批
    Integer firstAudit(PlatformBuildAuditRequest request);

    //第二层审批 美团外卖&饿了么
    Integer secondAudit(PlatformBuildAuditRequest request);

    PlatformBuildInfoVO getPlatformBuildInfo(Long shopId);

    PageInfo<PlatformBuildListResponse> platformBuildList(platformBuildListRequest request);

}
